| The Gaudi Framework v32r1 (f65d50dc)

Public Member Functions | List of all members
GaudiPython.Bindings.iAlgorithm Class Reference
Inheritance diagram for GaudiPython.Bindings.iAlgorithm:
[legend]
Collaboration diagram for GaudiPython.Bindings.iAlgorithm:
[legend]

## Public Member Functions
def | __init__ (self, name, ialg=None)
def | retrieveInterface (self)
def | initialize (self)
def | start (self)
def | execute (self)
def | stop (self)
def | finalize (self)
def | reinitialize (self)
def | restart (self)
def | sysInitialize (self)
def | sysStart (self)
def | sysExecute (self)
def | sysStop (self)
def | sysFinalize (self)
def | sysReinitialize (self)
def | sysRestart (self)
Public Member Functions inherited from GaudiPython.Bindings.iProperty
def | getInterface (self)
def | __call_interface_method__ (self, ifname, method, *args)
def | __setattr__ (self, name, value)
def | __getattr__ (self, name)
def | properties (self)
def | name (self)

## Detailed Description

    Python equivalent to IAlgorithm interface

Definition at line 417 of file Bindings.py.

## Constructor & Destructor Documentation

## ◆ __init__()

def GaudiPython.Bindings.iAlgorithm.__init__ | ( |  | self,
|  |  | name,
|  |  | ialg = `None`
| ) |  |

Reimplemented from GaudiPython.Bindings.iProperty.

Definition at line 420 of file Bindings.py.

420 def __init__(self, name, ialg=None):
421 iProperty.__init__(self, name, ialg)
422 if ialg:
423 self.__dict__['_ialg'] = InterfaceCast(gbl.IAlgorithm)(ialg)
424 else:
425 self.__dict__['_ialg'] = None
426

## Member Function Documentation

## ◆ execute()

def GaudiPython.Bindings.iAlgorithm.execute | ( |  | self | ) |

Definition at line 439 of file Bindings.py.

439 def execute(self):
440 return self.__call_interface_method__("_ialg", "execute")
441

## ◆ finalize()

def GaudiPython.Bindings.iAlgorithm.finalize | ( |  | self | ) |

Definition at line 445 of file Bindings.py.

445 def finalize(self):
446 return self.__call_interface_method__("_ialg", "finalize")
447

## ◆ initialize()

def GaudiPython.Bindings.iAlgorithm.initialize | ( |  | self | ) |

Definition at line 433 of file Bindings.py.

433 def initialize(self):
434 return self.__call_interface_method__("_ialg", "initialize")
435

## ◆ reinitialize()

def GaudiPython.Bindings.iAlgorithm.reinitialize | ( |  | self | ) |

Definition at line 448 of file Bindings.py.

448 def reinitialize(self):
449 return self.__call_interface_method__("_ialg", "reinitialize")
450

## ◆ restart()

def GaudiPython.Bindings.iAlgorithm.restart | ( |  | self | ) |

Definition at line 451 of file Bindings.py.

451 def restart(self):
452 return self.__call_interface_method__("_ialg", "restart")
453

## ◆ retrieveInterface()

def GaudiPython.Bindings.iAlgorithm.retrieveInterface | ( |  | self | ) |

Reimplemented from GaudiPython.Bindings.iProperty.

Definition at line 427 of file Bindings.py.

427 def retrieveInterface(self):
428 ialg = Helper.algorithm(
429 InterfaceCast(gbl.IAlgManager)(self._svcloc), self._name)
430 if ialg:
431 iAlgorithm.__init__(self, self._name, ialg)
432

## ◆ start()

def GaudiPython.Bindings.iAlgorithm.start | ( |  | self | ) |

Definition at line 436 of file Bindings.py.

436 def start(self):
437 return self.__call_interface_method__("_ialg", "start")
438
IOTest.start
def start
Definition: IOTest.py:97

## ◆ stop()

def GaudiPython.Bindings.iAlgorithm.stop | ( |  | self | ) |

Definition at line 442 of file Bindings.py.

442 def stop(self):
443 return self.__call_interface_method__("_ialg", "stop")
444

## ◆ sysExecute()

def GaudiPython.Bindings.iAlgorithm.sysExecute | ( |  | self | ) |

Definition at line 460 of file Bindings.py.

460 def sysExecute(self):
461 return self.__call_interface_method__("_ialg", "sysExecute")
462

## ◆ sysFinalize()

def GaudiPython.Bindings.iAlgorithm.sysFinalize | ( |  | self | ) |

Definition at line 466 of file Bindings.py.

466 def sysFinalize(self):
467 return self.__call_interface_method__("_ialg", "sysFinalize")
468

## ◆ sysInitialize()

def GaudiPython.Bindings.iAlgorithm.sysInitialize | ( |  | self | ) |

Definition at line 454 of file Bindings.py.

454 def sysInitialize(self):
455 return self.__call_interface_method__("_ialg", "sysInitialize")
456

## ◆ sysReinitialize()

def GaudiPython.Bindings.iAlgorithm.sysReinitialize | ( |  | self | ) |

Definition at line 469 of file Bindings.py.

469 def sysReinitialize(self):
470 return self.__call_interface_method__("_ialg", "sysReinitialize")
471

## ◆ sysRestart()

def GaudiPython.Bindings.iAlgorithm.sysRestart | ( |  | self | ) |

Definition at line 472 of file Bindings.py.

472 def sysRestart(self):
473 return self.__call_interface_method__("_ialg", "sysRestart")
474
475
476 # ----iAlgTool class-----------------------------------------------------------
477
478

## ◆ sysStart()

def GaudiPython.Bindings.iAlgorithm.sysStart | ( |  | self | ) |

Definition at line 457 of file Bindings.py.

457 def sysStart(self):
458 return self.__call_interface_method__("_ialg", "sysStart")
459

## ◆ sysStop()

def GaudiPython.Bindings.iAlgorithm.sysStop | ( |  | self | ) |

Definition at line 463 of file Bindings.py.

463 def sysStop(self):
464 return self.__call_interface_method__("_ialg", "sysStop")
465

The documentation for this class was generated from the following file:

- GaudiPython/python/GaudiPython/Bindings.py